glab(1)

NAME

glab-changelog-generate - Generate a changelog for the repository/project

SYNOPSIS

glab changelog generate [flags]

DESCRIPTION

Generate a changelog for the repository/project

OPTIONS

--config-file=""
    The path of changelog configuration file in the project's Git repository. Defaults to .gitlab/changelog_config.yml.

--date=""
    The date and time of the release. Uses ISO 8601 (2016-03-11T03:45:40Z) format. Defaults to the current time.

--from=""
    The start of the range of commits (as a SHA) to use for generating the changelog. This commit itself isn't included in the list.

--to=""
    The end of the range of commits (as a SHA) to use for the changelog. This commit is included in the list. Defaults to the HEAD of the default project branch.

--trailer=""
    The Git trailer to use for including commits. Defaults to Changelog.

-v, --version=""
    The version to generate the changelog for. The format must follow semantic versioning. Defaults to the version of the local checkout (like using git describe).

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE
    glab changelog generate

SEE ALSO

glab-changelog(1)